Skip to main content
PATCH
/
reconciliation_rules
/
{id}
Update a reconciliation rule
curl --request PATCH \
  --url https://api.endclose.com/v1/reconciliation_rules/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "filters": {},
  "priority": 123,
  "group_by": "<string>",
  "description": "<string>"
}
'
{
  "filters": {
    "operand": "and",
    "rules": [
      {
        "key": "<string>",
        "operand": "eq",
        "value": "<string>",
        "tolerance_amount": 123,
        "tolerance_unit": "dollar",
        "transforms": {
          "key": "<unknown>",
          "value": "<unknown>"
        }
      }
    ]
  },
  "reconciliation_id": 123,
  "id": 123,
  "priority": 123,
  "group_by": "<string>",
  "description": "<string>",
  "source": "manual",
  "status": "active",
  "confidence": "high",
  "sample_match_rate": "<string>",
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

Body

application/json
filters
object
priority
integer
group_by
string
description
string

Response

Rule updated

filters
object
required

A rule tree with group nodes (AND/OR) and condition leaf nodes. Conditions compare a field on one side to a field on the other side.

reconciliation_id
integer
required
id
integer
priority
integer

Lower values run first

group_by
string

Property key to group records by before matching

description
string

Optional human-readable description of what this rule matches

source
enum<string>

Whether this rule was created manually or by the AI rules engine

Available options:
manual,
ai
status
enum<string>

Active rules are used by the reconciliation engine. Proposed rules are awaiting review from a cold start.

Available options:
active,
proposed
confidence
enum<string>

AI confidence rating. Only present on AI-generated rules from cold start.

Available options:
high,
medium,
low
sample_match_rate
string

How many sample records this rule matched during dry-run evaluation (e.g. '42/50'). Only present on AI-generated rules from cold start.

created_at
string<date-time>